Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.server.session
Class JDBCSessionManager.Session

    java.lang.Object
      org.eclipse.jetty.server.session.AbstractSessionManager.Session
          org.eclipse.jetty.server.session.JDBCSessionManager.Session

All Implemented Interfaces:
  java.io.Serializable, HttpSession, AbstractSessionManager.SessionIf

Enclosing class:
  JDBCSessionManager

    public class JDBCSessionManager.Session

extends AbstractSessionManager.Session

Session Session instance in memory of this node.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.eclipse.jetty.server.session.AbstractSessionManager.Session
`_accessed, _attributes, _clusterId, _cookieSet, _created, _doInvalidate, _idChanged, _invalid, _lastAccessed, _maxIdleMs, _newSession, _nodeId, _requests`

Constructor Summary
`protected` | `JDBCSessionManager.Session(HttpServletRequest request)` Session from a request.
`protected` | `JDBCSessionManager.Session(long accessed, JDBCSessionManager.SessionData data)` Session restored in database.

Method Summary
`protected void` | `access(long time)` Entry to session.
`protected void` | `complete()` Exit from session
`protected void` | `cookieSet()`
`void` | `removeAttribute(java.lang.String name)` Removes the object bound with the specified name from this session.
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Binds an object to this session, using the name specified.
`protected void` | `timeout()`

Methods inherited from class org.eclipse.jetty.server.session.AbstractSessionManager.Session
`bindValue, didActivate, doInvalidate, getAttribute, getAttributeNames, getClusterId, getCookieSetTime, getCreationTime, getId, getLastAccessedTime, getMaxInactiveInterval, getNodeId, getServletContext, getSession, getSessionContext, getValue, getValueNames, invalidate, isIdChanged, isNew, isNotAvailable, isValid, putValue, removeValue, setIdChanged, setMaxInactiveInterval, toString, unbindValue, willPassivate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDBCSessionManager.Session

    protected JDBCSessionManager.Session(HttpServletRequest request)

  Session from a request.

  Parameters:
    `request` -

### JDBCSessionManager.Session

    protected JDBCSessionManager.Session(long accessed,
                                         JDBCSessionManager.SessionData data)

  Session restored in database.

  Parameters:
    `data` -

Method Detail

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Description copied from interface: `HttpSession`
  Binds an object to this session, using the name specified. If an object of the same name is already bound to the session, the object is replaced.

  After this method executes, and if the new object implements `HttpSessionBindingListener`, the container calls `HttpSessionBindingListener.valueBound`. The container then notifies any `HttpSessionAttributeListener`s in the web application.

  If an object was already bound to this session of this name that implements `HttpSessionBindingListener`, its `HttpSessionBindingListener.valueUnbound` method is called.

  If the value passed in is null, this has the same effect as calling `removeAttribute()`.``

  Specified by:
    `setAttribute` in interface `HttpSession`
  Overrides:
    `setAttribute` in class `AbstractSessionManager.Session`
  Parameters:
    `name` - the name to which the object is bound; cannot be null
    `value` - the object to be bound

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Description copied from interface: `HttpSession`
  Removes the object bound with the specified name from this session. If the session does not have an object bound with the specified name, this method does nothing.

  After this method executes, and if the object implements `HttpSessionBindingListener`, the container calls `HttpSessionBindingListener.valueUnbound`. The container then notifies any `HttpSessionAttributeListener`s in the web application.

  Specified by:
    `removeAttribute` in interface `HttpSession`
  Overrides:
    `removeAttribute` in class `AbstractSessionManager.Session`
  Parameters:
    `name` - the name of the object to remove from this session

### cookieSet

    protected void cookieSet()

  Overrides:
    `cookieSet` in class `AbstractSessionManager.Session`

### access

    protected void access(long time)

  Entry to session. Called by SessionHandler on inbound request and the session already exists in this node's memory.

  Overrides:
    `access` in class `AbstractSessionManager.Session`
  See Also:
    `AbstractSessionManager.Session.access(long)`

### complete

    protected void complete()

  Exit from session

  Overrides:
    `complete` in class `AbstractSessionManager.Session`
  See Also:
    `AbstractSessionManager.Session.complete()`

### timeout

    protected void timeout()
                    throws java.lang.IllegalStateException

  Overrides:
    `timeout` in class `AbstractSessionManager.Session`
  Throws:
    `java.lang.IllegalStateException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.